diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index cc7009a..ddab7df 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -3047,7 +3047,33 @@ Math. Tables Aids Comput. 10 91--96. (1956)
 ``On square-free decomposition algorithms''\\
 {\sl Proceedings of SYMSAC'76} pages 26-35, 1976
 
-\section{Special Topics}
+\section{Special Topics} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
+\subsection{Special Functions} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
+\subsubsection{Exponential Integral $E_1(x)$} %%%%%%%%%%%%%%%%%%%%%%%%%
+
+\bibitem[Segletes 98]{Se98} Segletes, S.B.\\
+``A compact analytical fit to the exponential integral $E_1(x)$\\
+Technical Report ARL-TR-1758, U.S. Army Ballistic Research Laboratory,\\
+Aberdeen Proving Ground, MD, September 1998
+
+\bibitem[Segletes 09]{Se09} Segletes, S.B.\\
+``Improved fits for $E_1(x)$ {\sl vis-\'a-vis} those presented in ARL-TR-1758\\
+Technical Report ARL-TR-1758, U.S. Army Ballistic Research Laboratory,\\
+Aberdeen Proving Ground, MD, September 1998
+
+\begin{adjustwidth}{2.5em}{0pt}
+This is a writeup detailing the more accurate fits to $E_1(x)$,
+relative to those presented in ARL-TR-1758.  My actual fits are to 
+\[F1 =[x\ exp(x) E_1(x)]\] which spans a functional range from 0 to 1.  
+The best accuracy I have been yet able to achieve, defined by limiting 
+the value of \[[(F1)_{fit} - F1]/F1\] over the domain, is approximately 
+3.1E-07 with a 12-parameter fit, which unfortunately isn't quite to 32-bit
+floating-point accuracy.  Nonetheless, the fit is not a piecewise fit,
+but rather a single continuous function over the domain of nonnegative x, 
+which avoids some of the problems associated with piecewise domain splicing.
+\end{adjustwidth}
 
 \subsection{Polynomial GCD} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
diff --git a/changelog b/changelog
index c10b60e..8d83184 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20140606 tpd src/axiom-website/patches.html 20140606.04.tpd.patch
+20140606 tpd books/bookvolbib add special functions / exponential integral
 20140606 tpd src/axiom-website/patches.html 20140606.03.tpd.patch
 20140606 tpd book/*.txt email cleanup
 20140606 tpd src/axiom-website/patches.html 20140606.02.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 4ca6780..34973c7 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4392,6 +4392,8 @@ Makefile copy books/changepage.sty to ${MNT}/${SYS}/doc
 books/Makefile remove style and def files from final distro
 <a href="patches/20140606.03.tpd.patch">20140606.03.tpd.patch</a>
 book/*.txt email cleanup
+<a href="patches/20140606.04.tpd.patch">20140606.04.tpd.patch</a>
+books/bookvolbib add special functions / exponential integral
  </body>
 </html>
 
